# Method: projects.scanConfigs.scanRuns.findings.get

- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings/get#try-it)

Gets a Finding.

### HTTP request

`GET https://websecurityscanner.googleapis.com/v1beta/{name=projects/*/scanConfigs/*/scanRuns/*/findings/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the Finding to be returned. The name follows the format of 'projects/{projectId}/scanConfigs/{scanConfigId}/scanRuns/{scanRunId}/findings/{findingId}'. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `cloudsecurityscanner.results.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/web-security-scanner/rest/v1beta/projects.scanConfigs.scanRuns.findings#Finding`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).